LocalExecutionControl (Java SE 12 & JDK 12 )
Keywords: jdk.jshell.execution.LocalExecutionControl class

Module jdk.jshell
Package jdk.jshell.execution

## Class LocalExecutionControl

- java.lang.Object
- - jdk.jshell.execution.DirectExecutionControl
  - - jdk.jshell.execution.LocalExecutionControl

- All Implemented Interfaces:
    `AutoCloseable`, `ExecutionControl`

      public class LocalExecutionControl
      extends DirectExecutionControl

  An implementation of `ExecutionControl` which executes in the same JVM as the JShell-core.
  Since:
    9

- - ### Nested Class Summary

    - ### Nested classes/interfaces declared in interface jdk.jshell.spi.ExecutionControl

      `ExecutionControl.ClassBytecodes, ExecutionControl.ClassInstallException, ExecutionControl.EngineTerminationException, ExecutionControl.ExecutionControlException, ExecutionControl.InternalException, ExecutionControl.NotImplementedException, ExecutionControl.ResolutionException, ExecutionControl.RunException, ExecutionControl.StoppedException, ExecutionControl.UserException`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LocalExecutionControl()` | Create an instance using the default class loading.
    `LocalExecutionControl​(LoaderDelegate loaderDelegate)` | Creates an instance, delegating loader operations to the specified delegate.

  - ### Method Summary

    - ### Methods declared in class jdk.jshell.execution.DirectExecutionControl

      `classesRedefined, clientCodeEnter, clientCodeLeave, findClass, invoke, stop, throwConvertedInvocationException, throwConvertedOtherException, valueString`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods declared in interface jdk.jshell.spi.ExecutionControl

      `addToClasspath, close, extensionCommand, invoke, load, redefine, varValue`

- - ### Constructor Detail

    - #### LocalExecutionControl

          public LocalExecutionControl​(LoaderDelegate loaderDelegate)

      Creates an instance, delegating loader operations to the specified delegate.
      Parameters:
        `loaderDelegate` - the delegate to handle loading classes

    - #### LocalExecutionControl

          public LocalExecutionControl()

      Create an instance using the default class loading.